Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiRecorder Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Start ([in] BSTR bszRecSpace)
HRESULT | Stop (void)
HRESULT | Play ([in] RtUlong ulDelayTime)
HRESULT | Save ([in] BSTR bszRecFileName)
HRESULT | Load ([in] BSTR bszRecFileName)
HRESULT | PlayBack ([in] RtUlong ulDelayTime)
HRESULT | Pause (void)
HRESULT | Clear (void)
HRESULT | CreateRecPreview (void)
HRESULT | AttachPreviewFile ([in] BSTR bszRecPreviwFileName)
HRESULT | OpenRecPreferences (void)
HRESULT | PreviewOffsetTime ([out, retval] RtUlong *pVal)
HRESULT | PreviewOffsetTime ([in] RtUlong newVal)

## Detailed Description

The IRiRecorder interface provides basic methods that enable an aplication to control 3D record. It includes methods for recording, running, pausing, and stopping. 3D record is content-based recording. Unlike the script recording, which processes actions, 3D record works only with the content of recorded space. This technique allows detecting all changes in the content caused by user action, activity or simulation and then replay them even in reversed order.
Root-level name in the scripting engine's name space: RsRec

## Member Function Documentation

HRESULT IRiRecorder::Start | ( | [in] BSTR | bszRecSpace | ) |

  | Starts recording in the space. First, the current state of recorded space is saved and then all subsequent changes in content made by user, activities or simulations are recorded until stop command is called Parameters:
  bszRecSpace | – full name identification of recorded space
Use following syntax if you want to record all changes in current scene
     RsRec.Start(Space.CurrentScene())

HRESULT IRiRecorder::Stop | ( | void |  | ) |

| Stops recording or playing the record. When replaying it resets the position to the beginning of the record.

HRESULT IRiRecorder::Play | ( | [in] RtUlong | ulDelayTime | ) |

  | Starts replying of recorded or imported events. The speed of replaying can be controlled in record preferences. Parameters:
  ulDelayTime | – defualt base delay in milliseconds when applying event

HRESULT IRiRecorder::Save | ( | [in] BSTR | bszRecFileName | ) |

  | Exports recorded or imported events to the specified file Parameters:
  bszRecFileName | – name of the file

HRESULT IRiRecorder::Load | ( | [in] BSTR | bszRecFileName | ) |

  | Imports recorded events from specified file. When loaded, it replaces the current scene with initial state of recorded space. It also opens a control for attached media if available. Parameters:
  bszRecFileName | – name of the file

HRESULT IRiRecorder::PlayBack | ( | [in] RtUlong | ulDelayTime | ) |

  | Starts replying of recorded or imported events in reverse order. Available only when streaming is disabled. Parameters:
  ulDelayTime | – defualt base delay in milliseconds when applying event

HRESULT IRiRecorder::Pause | ( | void |  | ) |

| Interrupts replaying of the record. Unlike the stop command, it allows to continue replaying from the last event. Pause command has no effect when recording. See also: Stop()

HRESULT IRiRecorder::Clear | ( | void |  | ) |

| Erases the current record from the record manager

HRESULT IRiRecorder::CreateRecPreview | ( | void |  | ) |

| Opens control for attached media preview file. Record manager allows synchronized replaying of record and media file. Because 3d record does not process UI changes, the media preview file provides a convenient way to include such type of information into the record.

HRESULT IRiRecorder::AttachPreviewFile | ( | [in] BSTR | bszRecPreviwFileName | ) |

  | This command opens media file and compiles it with the current record into one file. Parameters:
  bszRecFileName | – name of the file
Use following syntaxt if your media file test.avi is located in main C:\ directory.
     RsRec.AttachPreviewFile('c:\\test.avi')

HRESULT IRiRecorder::OpenRecPreferences | ( | void |  | ) |

| Opens record preferences panel.

HRESULT IRiRecorder::PreviewOffsetTime | ( | [out, retval] RtUlong * | pVal | ) |

  | Retrieves the current offset synchronization value. This property is used for synchronization of media file and 3drecord. Parameters:
  pVal | – returns a offset value in miliseconds
Examples:
     RsRec.PreviewOffsetTime = dwDelayInMilliseconds
     RsRec.PreviewOffsetTime = 2000

HRESULT IRiRecorder::PreviewOffsetTime | ( | [in] RtUlong | newVal | ) |

  | Sets new offset parameter. This property is used for synchronization of media file and 3drecord. Parameters:
  newVal | – new offset delay value in miliseconds
Examples:
     dwDelayInMilliseconds = RsRec.PreviewOffsetTime